Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class Search

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.Search

public class Search
extends Behavior

Find words in tree, highlight matches within document.

TO DO: update to use regexp, maybe separate UI from functionality

Version:
  $Revision: 1.3 $ $Date: 2003/06/02 05:57:32 $

Field Summary
`static java.lang.String` | `MSG_HITS` Announces search hits, by group.
`static java.lang.String` | `MSG_NEXT` Show next hit.
`static java.lang.String` | `MSG_PREV` Show previous hit.
`static java.lang.String` | `MSG_SEARCHFOR` Another semantic command, which should be given more descriptive name.
`static java.lang.String` | `MSG_SET_ACTIVE` Add/remove controls in second toolbar: on/off.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`Search()`

Method Summary
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation.
`void` | `search(java.lang.String searchfor, INode root)`
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` When active, takes over toolbar.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Part of Edit menu

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_SEARCHFOR

    public static final java.lang.String MSG_SEARCHFOR

  Another semantic command, which should be given more descriptive name.

  `"searchFor"`: `arg=` `String` expression-to-search-for.

  See Also:
    Constant Field Values

### MSG_PREV

    public static final java.lang.String MSG_PREV

  Show previous hit.

  `"searchPrev"`.

  See Also:
    Constant Field Values

### MSG_NEXT

    public static final java.lang.String MSG_NEXT

  Show next hit.

  `"searchNext"`.

  See Also:
    Constant Field Values

### MSG_SET_ACTIVE

    public static final java.lang.String MSG_SET_ACTIVE

  Add/remove controls in second toolbar: on/off.

  `"searchSetActive"`: `arg=` `String` or `Boolean` or `null` to toggle.

  See Also:
    Constant Field Values

### MSG_HITS

    public static final java.lang.String MSG_HITS

  Announces search hits, by group.

  `"searchHits"`: `arg=` `List`[] hits, grouped, `in=` `Node` root node of search

  See Also:
    Constant Field Values

Constructor Detail

### Search

    public Search()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Part of Edit menu

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  When active, takes over toolbar.

  Overrides:
    `semanticEventAfter` in class `Behavior`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Behavior`
  Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation. When restored from hub, passed XML content subtree if any as first parameter and attributes from XML tag's attributes. This protocol cannot be short-circuited.

  Overrides:
    `restore` in class `Behavior`

### search

    public void search(java.lang.String searchfor,
                       INode root)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD